# TransactionEntryResponse | xrpl
Documentation for xrpl

# Interface TransactionEntryResponse

Response expected from a TransactionEntryRequest.

#### Hierarchy

- BaseResponse
  - TransactionEntryResponse

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:27

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
ledger_hash: string;
ledger_index: number;
metadata: TransactionMetadata ;
tx_json: Object;
}

#### Type declaration

- ##### ledger_hash: string

  The identifying hash of the ledger version the transaction was found in; this is the same as the one from the request.

- ##### ledger_index: number

  The ledger index of the ledger version the transaction was found in; this is the same as the one from the request.

- ##### metadata: TransactionMetadata

  The transaction metadata, which shows the exact results of the transaction in detail.

- ##### tx_json: Object

  JSON representation of the Transaction object.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:28

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc